package it.micegroup.gestioneferie.configurazionepf.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DregolePianiFeriePkCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 3289577936L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdRegolePianiFeriePk;

	private StringFilter codiRegola;

	private StringFilter descRegola;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioValidita;

	private LocalDateFilter dataFineValidita;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdRegolePianiFeriePk
	 */
	public LongFilter getSequIdRegolePianiFeriePk() {
		return this.sequIdRegolePianiFeriePk;
	}

	/**
	 * @param sequIdRegolePianiFeriePk to set
	 */
	public void setSequIdRegolePianiFeriePk(LongFilter sequIdRegolePianiFeriePk) {
		this.sequIdRegolePianiFeriePk = sequIdRegolePianiFeriePk;
	}

	/**
	 * @return the codiRegola
	 */
	public StringFilter getCodiRegola() {
		return this.codiRegola;
	}

	/**
	 * @param codiRegola to set
	 */
	public void setCodiRegola(StringFilter codiRegola) {
		this.codiRegola = codiRegola;
	}

	/**
	 * @return the descRegola
	 */
	public StringFilter getDescRegola() {
		return this.descRegola;
	}

	/**
	 * @param descRegola to set
	 */
	public void setDescRegola(StringFilter descRegola) {
		this.descRegola = descRegola;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioValidita
	 */
	public DateFilter getDataInizioValidita() {
		return this.dataInizioValidita;
	}

	/**
	 * @param dataInizioValidita to set
	 */
	public void setDataInizioValidita(DateFilter dataInizioValidita) {
		this.dataInizioValidita = dataInizioValidita;
	}

	/**
	 * @return the dataFineValidita
	 */
	public DateFilter getDataFineValidita() {
		return this.dataFineValidita;
	}

	/**
	 * @param dataFineValidita to set
	 */
	public void setDataFineValidita(DateFilter dataFineValidita) {
		this.dataFineValidita = dataFineValidita;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
